function _(msg) {
  var text = chrome.i18n.getMessage("booking_widget_" + msg);
  if(!text) {
    text = "";
  }
  return text;
}

function __(msg) {
  var text = chrome.i18n.getMessage(msg);
  if(!text) {
    text = "";
  }
  return text;
}

document.addEventListener("DOMContentLoaded", function() {
  var elems = document.querySelectorAll("[msg]");
  for(let elem of elems) {
    var msg = elem.getAttribute("msg");
    var text = _(msg);
    elem.removeAttribute("msg");
    if(elem.hasAttribute("msg_target")) {
      elem.setAttribute(elem.getAttribute("msg_target"), text);
    }
    else {
      elem.innerHTML = text;
    }
  }
}, false);